#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit tests

%define		module		zodbpickle

Summary:	Fork of Python 3 pickle module
Summary(pl.UTF-8):	Alternatywna implementacja modułu pickle z Pythona 3
Name:		python3-%{module}
Version:	4.2
Release:	1
License:	PSFL v2 and ZPL v2.1
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/zodbpickle/
Source0:	https://files.pythonhosted.org/packages/source/z/zodbpickle/%{module}-%{version}.tar.gz
# Source0-md5:	5e212281d2a2d29d8cf6bc4d71f93722
URL:		https://pypi.org/project/zodbpickle/
BuildRequires:	python3-devel >= 1:3.9
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-zope.testrunner
%endif
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package presents a uniform pickling interface for ZODB:
- Under Py3k, this package forks the pickle module (and the supporting
  C extension) from both Python 3.2 and Python 3.3. The fork add
  support for the noload operations used by ZODB.

%description -l pl.UTF-8
Ten pakiet udostępnia ujednolicony interfejs pickle dla ZODB:
- dla Py3k jest to zmodyfikowany moduł pickle (wraz ze wspierającym
  rozszerzeniem w C) z Pythona 3.2 i 3.3. Modyfikacja dodaje obsługę
  operacji noload, używanych przez ZODB.

%package apidocs
Summary:	API documentation for Python zodbpickle module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zodbpickle
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Python zodbpickle module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zodbpickle.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(echo $(pwd)/build-3/lib.*) \
zope-testrunner-3 --test-path=src -v
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/zodbpickle/*.c
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitedir}/zodbpickle/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.txt README.rst
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/*.py
%attr(755,root,root) %{py3_sitedir}/%{module}/_pickle.cpython-*.so
%{py3_sitedir}/%{module}/__pycache__
%{py3_sitedir}/%{module}-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,historical,*.html,*.js}
%endif
%changelog
* Sun May 18 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-zodbpickle.git;a=log;h=master

* Sun May 18 2025 Jakub Bogusz <qboosh@pld-linux.org> a9ddef0
- python-zodbpickle.spec updated to 4.2 for python 3.9+; added -apidocs

* Sun May 18 2025 Jakub Bogusz <qboosh@pld-linux.org> e40f39c
- updated to 2.6, finished packaging

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 377afb9
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 949e68f
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> a5d5aed
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> b73b810
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> bffec82
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 1491fce
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 6f0eee3
- BR: python-setuptools

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7e7abd9
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 406261a
- release 2 (by relup.sh)

* Sun Nov 12 2017 Mateusz Korniak <matkor@pld-linux.org> 272b5f1
- Initial 0.7.0. Rel 1.

